﻿using NativeMedia;

namespace MediaGalleryTest1;

public partial class MainPage : ContentPage
{
	int count = 0;

	public MainPage()
	{
		InitializeComponent();
	}

	private async void OnCounterClicked(object sender, EventArgs e)
	{
                var cts = new CancellationTokenSource();
                IMediaFile[] files = null;
        
                try
                {
                    var request = new MediaPickRequest(200, MediaFileType.Image, MediaFileType.Video)
                    {
                        PresentationSourceBounds = System.Drawing.Rectangle.Empty,
                        UseCreateChooser = true,
                        Title = "Select",
                        
                    };
        
                    cts.CancelAfter(TimeSpan.FromMinutes(5));
        
                    var results = await MediaGallery.PickAsync(request, cts.Token);
                    files = results?.Files?.ToArray();
                }
                catch (OperationCanceledException oxe)
                {
                    // handling a cancellation request
        
                }
                catch (Exception ex)
                {
                    // handling other exceptions
        
                }
                finally
                {
                    cts.Dispose();
                }
        
	}
}